%define url_ver      %(echo %{version}|cut -d. -f1,2)
%define oname        mate-media
%define lib_name     %mklibname mate-media %{lib_major}
%define develname    %mklibname -d mate-media
%define lib_major    0


Summary:        MATE media programs with pulseaudio backend
Name:           %{oname}-pulse
Version:        1.6.1
Release:        %mkrel 2
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{oname}-%{version}.tar.xz

BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  docbook-dtd412-xml
BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  mate-panel-devel
BuildRequires:  mate-control-center-devel
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(unique-1.0)

Requires:       mate-settings-daemon-pulse
Requires:       pulseaudio

Provides:       %{oname}
Obsoletes:      %{oname}
Conflicts:      %{oname}-gstreamer

%description
Media utilities for the MATE desktop, including an audio mixer.

This package uses pulseaudio backend. If you want to use
gstreamer backend you should install mate-media-gstreamer
package instead of this.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x  \
        --disable-static \
        --disable-gstmix \
        --disable-schemas-compile \
        --disable-scrollkeeper \
        --disable-gst-mixer-applet \
        --enable-pulseaudio \

%make

%install
%makeinstall_std

# We don't need MateConf stuff in Mageia
rm -fr %{buildroot}%{_datadir}/MateConf

%find_lang %{oname} --all-name
for omf in %buildroot%_datadir/omf/*/{*-??.omf,};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

%files -f %{oname}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/mate-volume-control
%{_bindir}/mate-volume-control-applet
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-volume-control-applet.desktop
%{_datadir}/mate-media/
%{_datadir}/sounds/mate/
%{_datadir}/applications/mate-volume-control.desktop



%changelog
* Fri Jan 24 2014 tarakbumba <tarakbumba> 1.6.1-2.mga4
+ Revision: 568126
- Remove version and release tags from provides/obsoletes/conflicts

* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 563901
- imported package mate-media-pulse

